!set title=Rango de una matriz 5x3 con 2 parámetros
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,c,r,c,c,r
varcnt=31
prevarcnt=30
postvarcnt=0
replycnt=4
choicecnt=3
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem 1,2

val6=$[rint($(tmp0))]
val7=$[rint(3)]
val8=$[rint(5)]
val9=$[rint(6)]
val10=u
val11=v
val12=$[rint(2)]
val13=$[rint($val6+1)]
val14=$[rint($val6+1)]
val15=$[rint(min($val7,$val6+2))]
val16=$[rint($val6+2)]
tmp0=!randint -20, 20

val17=$[rint($(tmp0))]
tmp0=!randint -20, 20

val18=$[rint($(tmp0))]
tmp0=!shuffle $val7

val19=$(tmp0)
tmp0=!shuffle $val8

val20=$(tmp0)
val21=((RANDOM($val9)+1)*(RANDOM(2)*2-1))
tmp0=!randitem 0,1


!ifval $(tmp0)=1
val22=m=mattranspose(m);
!endif
t_=!replace internal \( by ( in a1=matrix($val7,$val6,x,y,$val21);	 a2=matrix($val6,$val8,x,y,$val21);	 if($val6>1,	  for(i=1,$val6-1,for(j=1,$val6-i,a1[i,j]=0;a2[i,j]=0))	 );	 m=a1*a2; m[$val13,$val14]+=(RANDOM(2)*2-1)*($val10-($val17));	 m[$val15,$val16]+=(RANDOM(2)*2-1)*($val11-($val18));	 m=vecextract(m,[$val19],[$val20]);	 $val22 print(m)	
tmp0=!exec pari $t_

val23=$(tmp0)
tmp0=!randitem 1,2

val24=$[rint($(tmp0))]
tmp0=!item $val24 of mínimo,máximo

val25=$(tmp0)
val26=igual a, distinto de
val27=y
val28=o
val29=$val27,$val28
tmp0=!item $val24 of $val26

val30=$(tmp0)
tmp0=!item $val24 of $val26

val31=$(tmp0)
val32=$[rint($val6)]

!ifval $val13=$val15
val33=$[rint($val6+1)]
!else
val33=$[rint($val6+2)]
!endif
val34=$val27

!ifval $val24=2 and $val33=$val6+1
val34=$val28
!endif
replytype1=numeric
replyname1=Minimum rank
replygood1=$[$val32]
replytype2=numeric
replyname2=Maximum rank
replygood2=$[$val33]
replytype3=numeric
replyname3=Value of $val10
replygood3=$[$val17]
replytype4=numeric
replyname4=Value of $val11
replygood4=$[$val18]
choicename1=$val10 is
choicegood1=$val30
choicebad1=$val26
choicename2=$val29
choicegood2=$val34
choicebad2=$val29
choicename3=$val11 is
choicegood3=$val31
choicebad3=$val26
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Considerar la siguiente matriz parametrizada.	<p><center>	 
!insmath  A = [$val23] 
$()	</center> <p>	<b>Paso 1</b>:	Según el valor de los parámetros 
!insmath $val10
$() y 
!insmath $val11
$(),	el rango de $m_A es al menos  
!read oef/embed.phtml reply 1,3 
$() y a lo sumo	 
!read oef/embed.phtml reply 2,3 
$().	<p>	<b>Paso 2</b>:	El $val25 rango es alcanzado cuando 
!insmath $val10
$() es  
!read oef/embed.phtml choice 1 
$()	 
!read oef/embed.phtml reply 3,4 
$()  
!read oef/embed.phtml choice 2 
$() 
!insmath $val11
$() es  
!read oef/embed.phtml choice 3 
$()	 
!read oef/embed.phtml reply 4,4 
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10,11,23,25
embedcnt=7
